Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 832742 - sci-libs/opencascade-7.6.0-r2 fails to compile: Standard_StackTrace.cxx:33:12: fatal error: execinfo.h: No such file or directory
Summary: sci-libs/opencascade-7.6.0-r2 fails to compile: Standard_StackTrace.cxx:33:12...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernd
URL: https://dev.opencascade.org/content/s...
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2022-02-05 08:02 UTC by Agostino Sarubbo
Modified: 2022-03-18 11:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (build.log.xz,144.78 KB, application/x-xz)
2022-02-05 08:02 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2022-02-05 08:02:47 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-libs/opencascade-7.6.0-r2 fails to compile.
Discovered on: amd64 (internal ref: tinderbox_musl)

NOTE:
This machine uses MUSL libc
Comment 1 Agostino Sarubbo gentoo-dev 2022-02-05 08:02:50 UTC
Created attachment 764372 [details]
build.log.xz

build log and emerge --info (compressed because it exceeds attachment limit, use 'xzless' to read it)
Comment 2 Agostino Sarubbo gentoo-dev 2022-02-05 08:02:51 UTC
Error(s) that match a know pattern in addition to what has been reported in the summary:


/var/tmp/portage/sci-libs/opencascade-7.6.0-r2/work/occt-V7_6_0/src/Standard/Standard_StackTrace.cxx:33:12: fatal error: execinfo.h: No such file or directory
/var/tmp/portage/sci-libs/opencascade-7.6.0-r2/work/occt-V7_6_0/src/Standard/Standard_StackTrace.cxx:33:12: fatal error: execinfo.h: No such file or directory
Comment 3 Larry the Git Cow gentoo-dev 2022-03-16 22:51:16 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=088d1cd3dd668d0460b42632306fc612e13422e2

commit 088d1cd3dd668d0460b42632306fc612e13422e2
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2022-03-13 09:47:01 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-03-16 22:51:01 +0000

    sci-libs/opencascade: backport fixes from v7.6.1
    
    Package is not yet compatible with ffmpeg-5, so we restrict to
    <media-video/ffmpeg-5. Reported upstream.
    Not compatible with musl libc implementation, so we explicitly
    DEPEND on sys-libs/glibc.
    
    Closes: https://bugs.gentoo.org/832742
    Closes: https://bugs.gentoo.org/834422
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Closes: https://github.com/gentoo/gentoo/pull/24525
    Signed-off-by: Sam James <sam@gentoo.org>

 .../{opencascade-7.6.0-r2.ebuild => opencascade-7.6.0-r3.ebuild}      | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3228209e96de27714701026db5c01ae1f9994be9

commit 3228209e96de27714701026db5c01ae1f9994be9
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-03-16 22:50:19 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-03-16 22:51:03 +0000

    sci-libs/opencascade: drop glibc RDEPEND
    
    Not needed, we're masking on musl profiles, and this isn't
    a binary package. It could one day work on non-glibc and
    an RDEPEND makes it trickier to test on musl.
    
    Bug: https://bugs.gentoo.org/832742
    Signed-off-by: Sam James <sam@gentoo.org>

 sci-libs/opencascade/opencascade-7.6.0-r3.ebuild | 2 --
 sci-libs/opencascade/opencascade-7.6.1.ebuild    | 2 --
 2 files changed, 4 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e6ca21c0846fea81d72cb8267b2ef2f66a5a755

commit 5e6ca21c0846fea81d72cb8267b2ef2f66a5a755
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2022-03-13 09:42:04 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-03-16 22:50:59 +0000

    sci-libs/opencascade: bump to 7.6.1
    
    Package is not yet compatible with ffmpeg-5, so we restrict to
    <media-video/ffmpeg-5. Reported upstream.
    Not compatible with musl libc implementation, so we explicitly
    DEPEND on sys-libs/glibc.
    
    Closes: https://bugs.gentoo.org/835040
    Bug: https://bugs.gentoo.org/832742
    Bug: https://bugs.gentoo.org/834422
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Signed-off-by: Sam James <sam@gentoo.org>

 sci-libs/opencascade/Manifest                 |   1 +
 sci-libs/opencascade/opencascade-7.6.1.ebuild | 169 ++++++++++++++++++++++++++
 2 files changed, 170 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8390efdcb9c742c86c2b5f3b804d0a7a4bb6271a

commit 8390efdcb9c742c86c2b5f3b804d0a7a4bb6271a
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2022-03-13 16:26:06 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-03-16 22:50:57 +0000

    profiles/features/musl: mask sci-libs/opencascade
    
    Doesn't build with musl. Reported upstream, see
    https://dev.opencascade.org/content/support-different-libc-implementations-linux
    
    Bug: https://bugs.gentoo.org/832742
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/features/musl/package.mask | 4 ++++
 1 file changed, 4 insertions(+)
Comment 4 Bernd 2022-03-18 11:34:15 UTC
Upstream proposes to add the execinfo.h header file to musl. I think, we should leave it just how it's now with the package masked on musl profiles, until there's been a solution on either opencascade or musl side.